'==================================================================
'				This script was created by eXeDK (TJ110000)
'				Free use but do give me a little credit :)
'				Contact me at: http://www.e-x-e.dk/ or laptop@e-x-e.dk
'==================================================================
'				The variables for the code is below
'==================================================================
'You enable and disable functions by changing the True or False values after every equal-sign.

'--------------------------------------------Settings for DriveList--------------------------------------------
	'Show topline: Drives
	ShowTopText = True
	'Add extra lines after each drive's properties
	AddExtraLines = True

	'Show drive name for each drive
	ShowDriveName = True
	'Show drive sharename (if any) for each drive
	ShowDriveShareName = True
		'Show message if drive is not shared
		ShowDriveShareNameIfNone = True
	'Show free space for each drive
	ShowDriveFreespace = True
	'Show total space for each drive
	ShowDriveTotalspace = True
	'Show freespace in procent for each drive
	ShowDriveFreespaceInP = True
	'Show usedspace in procent for each drive
	ShowDriveUsedpaceInP = True
	'Show drive filesystem for each drive
	ShowDriveFilesystem = True

'--------------------------------------------Settings for ShowDriveInfo--------------------------------------------
'INFO: The DrivePath parament for this function should be X or X:
	'Show drive name 
	InfoShowDriveName = True
	'Show drive sharename (if any) 
	InfoShowDriveShareName = True
		'Show message if drive is not shared
		InfoShowDriveShareNameIfNone = True
	'Show free space 
	InfoShowDriveFreespace = True
	'Show total space 
	InfoShowDriveTotalspace = True
	'Show freespace in procent 
	InfoShowDriveFreespaceInP = True
	'Show usedspace in procent 
	InfoShowDriveUsedpaceInP = True
	'Show drive filesystem 
	InfoShowDriveFilesystem = True

'-------------------------------------------- The code starts here --------------------------------------------
Function DriveList()
Set FileSystemObject = CreateObject("Scripting.FileSystemObject") 'Setting objects
Set Drives = FileSystemObject.Drives

'Show topline: Drives
If ShowTopText Then
	result = "Drives:%b"
End if

For each drive in Drives 
	DriveLetter = drive.DriveLetter
	DriveType = GetDriveType(drive.DriveType)

	result = result & "%tab Drive " & DriveLetter & " is a " & DriveType & "%b"
'Show drive name for each drive
	If ShowDriveName Then
		If drive.IsReady Then
			result = result & "%tab %tab Drive name: " & drive.VolumeName & " %b"
		End if
	End if
'Show drive sharename (if any) for each drive
	If ShowDriveShareName Then
		If drive.IsReady Then
			If drive.ShareName > "" Then
				result = result & "%tab %tab Drive sharename: " & drive.ShareName & " %b"
			Else
				If ShowDriveShareNameIfNone Then
					result = result & "%tab %tab Drive is not shared %b"
				End if
			End if
		End if
	End if
'Show free space for each drive
	If ShowDriveFreespace Then
		If drive.IsReady Then
			result = result & "%tab %tab Free space: " & Round(drive.AvailableSpace/1073741824, 3) & " GB %b"
		End if
	End if
'Show total space for each drive
	If ShowDriveTotalspace Then
		If drive.IsReady Then
			result = result & "%tab %tab Total space: " & Round(drive.TotalSize/1073741824, 3) & " GB %b"
		End if
	End if
'Show freespace in procent for each drive
	If ShowDriveFreespaceInP Then
		If drive.IsReady Then
			result = result & "%tab %tab Free space: " & Round(Round(drive.AvailableSpace/1073741824, 3)/Round(drive.TotalSize/1073741824, 3)*100, 2) & " % %b"
		End if
	End if
'Show usedspace in procent for each drive
	If ShowDriveUsedpaceInP Then
		If drive.IsReady Then
			result = result & "%tab %tab Used space: " & Round(Round((drive.TotalSize-drive.AvailableSpace)/1073741824, 3)/Round(drive.TotalSize/1073741824, 3)*100, 3) & " % %b"
		End if
	End if
'Show drive filesystem for each drive
	If ShowDriveFilesystem Then
		If drive.IsReady Then
			result = result & "%tab %tab Drive filesystem: " & drive.FileSystem & " %b"
		End if
	End if
'Add extra lines after each drive's properties
	If AddExtraLines Then
		result = result & "%b"
	End if
Next

'Unsetting objects
Set Drives = nothing
Set FileSystemObject = nothing

'Returning
DriveList = result
End Function

Function ShowDriveInfo(DrivePath)
If not Right(DrivePath, 1) = ":" Then
	DrivePath = drivepath & ":"
End if

Set fso = CreateObject("Scripting.FileSystemObject")
Set drive = fso.GetDrive(fso.GetDriveName(DrivePath))

If InfoShowDriveName Then
		If drive.IsReady Then
			result = result & "Drive name: " & drive.VolumeName & " %b"
		End if
	End if
'Show drive sharename (if any) for each drive
	If InfoShowDriveShareName Then
		If drive.IsReady Then
			If drive.ShareName > "" Then
				result = result & "%tab Drive sharename: " & drive.ShareName & " %b"
			Else
				If InfoShowDriveShareNameIfNone Then
					result = result & "%tab Drive is not shared %b"
				End if
			End if
		End if
	End if
'Show free space for each drive
	If InfoShowDriveFreespace Then
		If drive.IsReady Then
			result = result & "%tab Free space: " & Round(drive.AvailableSpace/1073741824, 3) & " GB %b"
		End if
	End if
'Show total space for each drive
	If InfoShowDriveTotalspace Then
		If drive.IsReady Then
			result = result & "%tab Total space: " & Round(drive.TotalSize/1073741824, 3) & " GB %b"
		End if
	End if
'Show freespace in procent for each drive
	If InfoShowDriveFreespaceInP Then
		If drive.IsReady Then
			result = result & "%tab Free space: " & Round(Round(drive.AvailableSpace/1073741824, 3)/Round(drive.TotalSize/1073741824, 3)*100, 2) & " % %b"
		End if
	End if
'Show usedspace in procent for each drive
	If InfoShowDriveUsedpaceInP Then
		If drive.IsReady Then
			result = result & "%tab Used space: " & Round(Round((drive.TotalSize-drive.AvailableSpace)/1073741824, 3)/Round(drive.TotalSize/1073741824, 3)*100, 3) & " % %b"
		End if
	End if
'Show drive filesystem for each drive
	If InfoShowDriveFilesystem Then
		If drive.IsReady Then
			result = result & "%tab Drive filesystem: " & drive.FileSystem & " %b"
		End if
	End if
'Returning
ShowDriveInfo = result
End Function

'Helping Functions
Private Function GetDriveType(DriveType)
Select Case DriveType
Case "0" DriveType = "Unknown type of drive"
Case "1" DriveType = "Removable drive"
Case "2" DriveType = "Fixed drive"
Case "3" DriveType = "Network drive"
Case "4" DriveType = "CD-ROM drive"
Case "5" DriveType = "RAM Disk"
End Select

'Returning
GetDriveType = DriveType
End Function